<?php
/**
 * Overwrites ProductList relation with new one targeting appropriate child
 * class of ProductObject to keep separate relations between product Categories.
 * Can be used to extend $db and CMSFields with new fields as needed.
 * $many_many key needs to match key used in ProductList or an error is produced
 * I don't know why that happens.
 *
 * @author Joshua Lewis
 */
class ProductListAdditive extends ProductList
{
    static $db = array();
    protected $dataObjectSourceClass = 'ProductObjectAdditive';
    static $many_many = array(
    'Products' => 'ProductObjectAdditive'
    );

    /**
     * Used to tell if a user can create pages of this type.
     *
     * Overloads inherited version from Product list. If not done pages of this
     * type could never be created in the CMS.
     *
     * @return TRUE/FALSE
     */
    function canCreate()
    {
        return TRUE;
    }

}

class ProductListAdditive_Controller extends ProductList_Controller
{

}


?>
